<% like_record = like_record(post) %>
<% if like_record.present? %>
  <%= link_to post_like_path(id: like_record.id, post_id: post.id), remote: true, method: 'delete', class: "#{class_to_add} btn btn-default btn-button text-primary liked" do %>
    <i class="fas fa-light fa-thumbs-up  me-2"></i>&nbsp;&nbsp;Like
  <% end %>
<% else %>
  <%= link_to post_likes_path(post_id: post.id, likeable_type: 'Post'), remote: true, method: 'post', class: "#{class_to_add} btn btn-default btn-button" do %>
    <i class="fas fa-light fa-thumbs-up"></i>&nbsp;&nbsp;Like
  <% end %>
<% end %>

